Package org.apache.commons.configuration2.ex

## Class ConversionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.commons.configuration2.ex.ConfigurationRuntimeException
        - - org.apache.commons.configuration2.ex.ConversionException

- All Implemented Interfaces:
    `Serializable`

      public class ConversionException
      extends ConfigurationRuntimeException

  Thrown when a property is incompatible with the type requested.
  Since:
    1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConversionException()` | Constructs a new `ConversionException` without specified detail message.
    `ConversionException​(String message)` | Constructs a new `ConversionException` with specified detail message.
    `ConversionException​(String message, Throwable cause)` | Constructs a new `ConversionException` with specified detail message and nested `Throwable`.
    `ConversionException​(Throwable cause)` | Constructs a new `ConversionException` with specified nested `Throwable`.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConversionException

          public ConversionException()

      Constructs a new `ConversionException` without specified detail message.

    - #### ConversionException

          public ConversionException​(String message)

      Constructs a new `ConversionException` with specified detail message.
      Parameters:
        `message` - the error message

    - #### ConversionException

          public ConversionException​(Throwable cause)

      Constructs a new `ConversionException` with specified nested `Throwable`.
      Parameters:
        `cause` - the exception or error that caused this exception to be thrown

    - #### ConversionException

          public ConversionException​(String message,
                                     Throwable cause)

      Constructs a new `ConversionException` with specified detail message and nested `Throwable`.
      Parameters:
        `message` - the error message
        `cause` - the exception or error that caused this exception to be thrown